KSSLCertDlg Class Reference

`#include <ksslcertdlg.h>`

Inherits KDialog.

## Public Member Functions

| KSSLCertDlg (QWidget *parent=0L, const char *name=0L, bool modal=false)
virtual | ~KSSLCertDlg ()
void | setup (QStringList certs, bool saveChecked=false, bool sendChecked=true) KDE_DEPRECATED
void | setupDialog (const QStringList &certs, bool saveChecked=false, bool sendChecked=true)
QString | getChoice ()
bool | wantsToSend ()
bool | saveChoice ()
void | setHost (const QString &host)

## Detailed Description

KDE X.509 Certificate Dialog.

This class is used to create and display a dialog which contains the user's X.509 certificates and allows the user to present it during SSL sessions.

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KSSL KDE X.509 Certificate Dialog

Definition at line 43 of file ksslcertdlg.h.

## Constructor & Destructor Documentation

KSSLCertDlg::KSSLCertDlg | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | bool | modal = `false`
| ) |  |

Construct a KSSL certificate dialog.

Parameters

  parent | the parent widget
  name | the internal name of this instance
  modal | create a modal dialog if set to true

Definition at line 50 of file ksslcertdlg.cc.

KSSLCertDlg::~KSSLCertDlg | ( |  | ) |

virtual

Destroy this object and close the dialog.

Definition at line 89 of file ksslcertdlg.cc.

## Member Function Documentation

QString KSSLCertDlg::getChoice | ( |  | ) |

Obtain the name of the certificate the user wants to send.

Returns
  the name of the certificate

Definition at line 128 of file ksslcertdlg.cc.

bool KSSLCertDlg::saveChoice | ( |  | ) |

Determine if the user wants to save the choice for the future.

Returns
  true if the user wants to save the choice.

Definition at line 118 of file ksslcertdlg.cc.

void KSSLCertDlg::setHost | ( | const QString & | host | ) |

Set the hostname that we are connecting to.

Parameters

  host | the hostname

Definition at line 137 of file ksslcertdlg.cc.

void KSSLCertDlg::setup | ( | QStringList | certs,
|  | bool | saveChecked = `false`,
|  | bool | sendChecked = `true`
| ) |  |

Setup the dialog.

Call this before you display the dialog.

Parameters

  certs | the list of possible certificates
  saveChecked | save the checked item for the future
  sendChecked | send the checked item to the remote host

Deprecated:

Definition at line 94 of file ksslcertdlg.cc.

void KSSLCertDlg::setupDialog | ( | const QStringList & | certs,
|  | bool | saveChecked = `false`,
|  | bool | sendChecked = `true`
| ) |  |

Setup the dialog.

Call this before you display the dialog.

Parameters

  certs | the list of possible certificates
  saveChecked | save the checked item for the future
  sendChecked | send the checked item to the remote host

Definition at line 98 of file ksslcertdlg.cc.

bool KSSLCertDlg::wantsToSend | ( |  | ) |

Determine if the user wants to send a certificate.

Returns
  true if the user wants to send a certificate

Definition at line 123 of file ksslcertdlg.cc.

The documentation for this class was generated from the following files:

- ksslcertdlg.h
- ksslcertdlg.cc

KDE Home | KDE Accessibility Home | Description of Access Keys